Bug 1184179 - Unable to create Rails 4.2.0 app with Ruby 2.0 cart
Summary: Unable to create Rails 4.2.0 app with Ruby 2.0 cart
Status: CLOSED WONTFIX
Alias: None
Product: OpenShift Online
Classification: Red Hat
Component: Image
Version: 2.x
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Maciej Szulik
QA Contact: libra bugs
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-20 18:34 UTC by Chris Ryan
Modified: 2016-03-08 09:28 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-01-23 15:29:28 UTC


Attachments (Terms of Use)
stack trace (27.60 KB, text/plain)
2015-01-20 19:49 UTC, Chris Ryan
no flags Details

Description Chris Ryan 2015-01-20 18:34:28 UTC
Description of problem:
There is a gem conflict when installing Rails 4.2 on a Ruby 2.0 cart, generating a Phusion Passenger error.

Version-Release number of selected component (if applicable):
devenv_5400 (ami-3e4a3456)

How reproducible:
Always

Steps to Reproduce:
ensure that rails 4.2 is installed
gem install rails
rails --version (should return at least Rails 4.2.0)
1. Create a ruby-2.0 application
rhc create-app railstest ruby-2.0
2. Create a rails app
cd railstest
rm -rf *
rails new ./ -f --skip-active-record
echo -e "gem 'sqlite3'\ngem 'execjs'\ngem 'therubyracer'">> Gemfile
bundle install
git add -A .; git commit -m "Test"; git push
3. Visit the app's URL

Actual results:
Passenger returns an error:
You have already activated rack 1.5.2, but your Gemfile requires rack 1.6.0. Using bundle exec may solve this. (Gem::LoadError)

Attached full stack trace

Expected results:
The app should be accessible via URL

Additional info:

Comment 1 Chris Ryan 2015-01-20 19:49:47 UTC
Created attachment 982009 [details]
stack trace

Comment 2 Maciej Szulik 2015-01-23 15:29:28 UTC
OpenShift is internally dependent on RHEL 6.6 SCL ror40 [1] which includes rack version 1.5.2 and passenger 4.0.18. Unfortunately none of this cannot be updated as for today. Thus closing this bug as won't fix.


[1] https://www.softwarecollections.org/en/scls/rhscl/ror40/


Note You need to log in before you can comment on or make changes to this bug.